#include "musicbox.h"

void
cb_button_open_clicked (GtkButton * button, gpointer data)
{
	GtkWidget *fs;
	gint response;
	G_CONST_RETURN gchar *file;
	fs = gtk_file_selection_new ("Open file");
	gtk_file_selection_set_select_multiple (GTK_FILE_SELECTION (fs),
						FALSE);
	response = gtk_dialog_run (GTK_DIALOG (fs));
	file = gtk_file_selection_get_filename (GTK_FILE_SELECTION (fs));

	if (response == GTK_RESPONSE_OK)
	{
		g_assert (file);
		clear_tags ();
		load_file ((gchar *) file);
	}
	gtk_widget_destroy (fs);
}

void
cb_button_apply_clicked (GtkButton * button, gpointer data)
{
	write_tag (&f);
}

void
cb_button_about_clicked (GtkButton * button, gpointer data)
{
	gtk_widget_show_all(GTK_WIDGET(glade_xml_get_widget(xml,"about")));
}

void
cb_button_clear_clicked (GtkButton * button, gpointer data)
{
	clear_tags ();
}

void
cb_advanced_toggled()
{
	if(gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(glade_xml_get_widget(xml,"advanced"))) == TRUE)
	{
		gtk_widget_hide(GTK_WIDGET(glade_xml_get_widget(xml,"table_tags")));
	}
	else
	{
		gtk_widget_show(GTK_WIDGET(glade_xml_get_widget(xml,"table_tags")));
	}
}

void
draw_window ()
{
	gchar* gladepath = g_strconcat(DATADIR,"/musicbox/musicbox.glade",NULL);
	xml = glade_xml_new (gladepath, NULL, NULL);
	glade_xml_signal_autoconnect (xml);
	gtk_widget_set_sensitive(GTK_WIDGET(glade_xml_get_widget(xml,"button_apply")),FALSE);
	gtk_widget_set_sensitive(GTK_WIDGET(glade_xml_get_widget(xml,"button_clear")),FALSE);
}
